Hooks:PostHook(BlackMarketTweakData, "_init_melee_weapons", "MeleeWeaponAnimation", function(self)

-- Base Game --
-- Leather Sap --
self.melee_weapons.sap.anim_global_param = "melee_knife2"
self.melee_weapons.sap.align_objects = { "a_weapon_left" }

-- El Verdugo --
self.melee_weapons.agave.anims = self.melee_weapons.agave.anims or {}
self.melee_weapons.agave.anims.charge = self.melee_weapons.agave.anims.charge or {}
self.melee_weapons.agave.anims.charge = {
  loop = true,
  anim = "charge_var2"
}

-- DLC --
-- Gage Weapon Pack #02 --
-- Trautman Knife --
self.melee_weapons.rambo.anim_global_param = "melee_knife"
self.melee_weapons.rambo.repeat_expire_t = 0.6
self.melee_weapons.rambo.expire_t = 1.2

-- Gage Shotgun Pack --
-- Telescopic Baton --
self.melee_weapons.baton.anim_global_param = "melee_happy"

-- Utility Machete --
self.melee_weapons.becker.anim_global_param = "melee_agave"
self.melee_weapons.becker.anims = self.melee_weapons.becker.anims or {}
self.melee_weapons.becker.anims.charge = self.melee_weapons.becker.anims.charge or {}
self.melee_weapons.becker.anims.charge = {
  loop = true,
  anim = "charge_var2"
}

-- Hotline Miami --
-- Cleaver Knife --
self.melee_weapons.cleaver.anim_global_param = "melee_axe"
self.melee_weapons.cleaver.align_objects = { "a_weapon_right" }

-- Machete Knife --
self.melee_weapons.machete.anim_global_param = "melee_agave"
self.melee_weapons.machete.anims = self.melee_weapons.machete.anims or {}
self.melee_weapons.machete.anims.charge = self.melee_weapons.machete.anims.charge or {}
self.melee_weapons.machete.anims.charge = {
  loop = true,
  anim = "charge_var2"
}

-- The Butcher's Western Pack --
-- You're Mine --
self.melee_weapons.branding_iron.anim_global_param = "melee_blunt"
self.melee_weapons.branding_iron.repeat_expire_t = 0.8

-- Sokol Character Pack --
-- Hockey Stick --
self.melee_weapons.hockey.anim_global_param = "melee_baseballbat_miami"
self.melee_weapons.hockey.align_objects = { "a_weapon_left" }
self.melee_weapons.hockey.repeat_expire_t = 0.9
self.melee_weapons.hockey.expire_t = 1.2
self.melee_weapons.hockey.melee_damage_delay = 0.2

-- The Point Break Heist --
-- Machete --
self.melee_weapons.gator.anim_global_param = "melee_agave"
self.melee_weapons.gator.anims = self.melee_weapons.gator.anims or {}
self.melee_weapons.gator.anims.charge = self.melee_weapons.gator.anims.charge or {}
self.melee_weapons.gator.anims.charge = {
  loop = true,
  anim = "charge_var2"
}

-- The Goat Simulator Heist --
-- Shawn's Shears --
self.melee_weapons.shawn.anim_global_param = "melee_stab"
self.melee_weapons.shawn.expire_t = 1.4

-- Pitchfork --
self.melee_weapons.pitchfork.expire_t = 1.4

-- Shepherd's Cane --
self.melee_weapons.stick.anim_global_param = "melee_baseballbat_miami"
self.melee_weapons.stick.repeat_expire_t = 0.9
self.melee_weapons.stick.expire_t = 1.2
self.melee_weapons.stick.melee_damage_delay = 0.2

-- Scout Knife --
self.melee_weapons.scoutknife.anim_global_param = "melee_knife2"

-- Gage Russian Pack --
-- Rezkoye --
self.melee_weapons.oxide.anim_global_param = "melee_agave"
self.melee_weapons.oxide.anims = self.melee_weapons.oxide.anims or {}
self.melee_weapons.oxide.anims.charge = self.melee_weapons.oxide.anims.charge or {}
self.melee_weapons.oxide.anims.charge = {
  loop = true,
  anim = "charge_var2"
}

-- San martin Bank Heist --
-- El Ritmo --
self.melee_weapons.chac.anim_global_param = "melee_knife2"
self.melee_weapons.chac.align_objects = { "a_weapon_left" }

end)